
cc.FileUtils:getInstance():setPopupNotify(false)
cc.FileUtils:getInstance():addSearchPath("src/")
cc.FileUtils:getInstance():addSearchPath("res/")

require "config"
require "cocos.init"

local function main()
    collectgarbage("collect")
    collectgarbage("setpause", 100)
    collectgarbage("setstepmul", 5000)

    math.randomseed(tostring(os.time()):reverse():sub(1,6)); 

    require "util.load"
    require "module.data.load"
    require "common.load"
    require "module.actor.UserInfo"
    require "language.load"
    require "module.Gamescene.Gamescene"

    local app = cc.Application:getInstance()
    cc.exports.Platform = app:getTargetPlatform()

    if Platform  == cc.PLATFORM_OS_ANDROID then
        cc.exports.luaj = require("cocos.cocos2d.luaj")
        local className = "org/cocos2dx/lua/AppActivity"
        local args = { Scene.applicationWillEnterForeground, Scene.applicationDidEnterBackground }
        local sig = "(II)V"
        luaj.callStaticMethod(className, "setEnterBackFunctionID", args, sig)
    end 

    local director = cc.Director:getInstance()
    if CC_SHOW_FPS then
        director:setDisplayStats(true)
    end
    director:setAnimationInterval(1.0 / Gamescene.fps_num)

    cc.exports.single_width = display.width / 4;
    cc.exports.single_height = display.height / 4;

    local GameInfo = require "module.actor.GameInfo";
    UserInfo.init();
    GameInfo.init();

    core.setPushcontent();

    local Loadscene = require "module.Mainscene.Loadscene";
    Scene.create();
    Loadscene.show();   
end

local status, msg = xpcall(main, __G__TRACKBACK__)
if not status then
    print(msg)
end
